# SourcePath: libmnl/20170612dev
Summary: libmnl is a minimalistic user-space library oriented to Netlink developers
Name: sony-target-dev-libmnl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libmnl
Version: 1.0.4
Release: 14020101
License: LGPLv2.1+
URL: https://www.netfilter.org/projects/libmnl/downloads.html#libmnl-1.0.4
Source: libmnl-%{version}.tar.bz2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
libmnl is a minimalistic user-space library oriented to Netlink developers.
This library aims to provide simple helpers that allows you to re-use code
and to avoid re-inventing the wheel.

%package -n %{pkgname}
Summary: libmnl is a minimalistic user-space library oriented to Netlink developers
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libmnl is a minimalistic user-space library oriented to Netlink developers.
This library aims to provide simple helpers that allows you to re-use code
and to avoid re-inventing the wheel.

%prep
%setup -q -n libmnl-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-static
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root -)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jun 12 2017 Sony Corporation
- Initial build
